Autor Tópico: warsaw bb no 18.04  (Lida 15961 vezes)

Offline DidBrother

  • Usuário Ubuntu
  • *
  • Mensagens: 50
  • Avante. sempre em frente
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #45 Online: 16 de Maio de 2018, 14:03 »
Caro aftavaresjr


1- A titulo de conferência repassei os dois tutoriais (resposta 17 e 25 )  em máquina virtual com ubuntu 18.04 e  os dois funcionaram plenamente. 

2- Só posso pensar em uma hipótese, no caso da resposta 17, que  o warsaw não subiria como root:  o comando -  sudo ln -sf /lib/x86_64-linux-gnu/ld-linux-x86-64.so.2 ; sudo ln -sf /lib/x86_64-linux-gnu/libc.so.6 ; sudo ln -sf /lib/x86_64-linux-gnu/libpthread.so.0 ; sudo ln -sf /lib/x86_64-linux-gnu/libdl.so.2 - foi rodado fora da pasta /usr/local/lib/warsaw.

3- Em nenhum dos dois modos é necessário a inserção do  "export LC_ALL=C  no arquivo  /etc/init.d/warsaw.  A grosso modo pode se dizer que na pratica este comando, no ubuntu 18.04, substitui o comando citado no item 2,  nas respectivas versões do warsaw que ocorrem o erro do sistemd, durante a instalação.

O warsaw só vai aos trancos e barrancos e o melhor tutorial infelizmente é o famoso método "tentativa erro, tentativa acerto". Se puder instale uma maquina virtual e faço os respectivos testes antes.

DidBrother
« Última modificação: 16 de Maio de 2018, 14:05 por DidBrother »

Offline aftavaresjr

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #46 Online: 16 de Maio de 2018, 14:57 »
Caro aftavaresjr


1- A titulo de conferência repassei os dois tutoriais (resposta 17 e 25 )  em máquina virtual com ubuntu 18.04 e  os dois funcionaram plenamente. 

2- Só posso pensar em uma hipótese, no caso da resposta 17, que  o warsaw não subiria como root:  o comando -  sudo ln -sf /lib/x86_64-linux-gnu/ld-linux-x86-64.so.2 ; sudo ln -sf /lib/x86_64-linux-gnu/libc.so.6 ; sudo ln -sf /lib/x86_64-linux-gnu/libpthread.so.0 ; sudo ln -sf /lib/x86_64-linux-gnu/libdl.so.2 - foi rodado fora da pasta /usr/local/lib/warsaw.

3- Em nenhum dos dois modos é necessário a inserção do  "export LC_ALL=C  no arquivo  /etc/init.d/warsaw.  A grosso modo pode se dizer que na pratica este comando, no ubuntu 18.04, substitui o comando citado no item 2,  nas respectivas versões do warsaw que ocorrem o erro do sistemd, durante a instalação.

O warsaw só vai aos trancos e barrancos e o melhor tutorial infelizmente é o famoso método "tentativa erro, tentativa acerto". Se puder instale uma maquina virtual e faço os respectivos testes antes.

DidBrother


DidBrother,

Dando uma fuçada nos logs do warsaw /var/log/syslog encontrei o seguinte erro:

kernel: [ 1116.566140] core[4790]: segfault at 7fb0000c7000 ip 00007fb01409977d sp 00007fb0102ddbf8 error 6 in libc-2.27.so[7fb013fde000+1e7000]

Um problema com a biblioteca libc-2.27.so

Chequei a pasta das bibliotecas do warsaw /usr/local/lib/warsaw/ e ela não estava lá.
Fiz um link simbólico da biblioteca, que esta em /lib/x86_64-linux-gnu/, para a pasta de libs do warsaw mas também não resolveu.

Alguma idéia?

Se alguém do fórum tiver, agradeço muito.

Obrigado
Abraço

Offline DidBrother

  • Usuário Ubuntu
  • *
  • Mensagens: 50
  • Avante. sempre em frente
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #47 Online: 16 de Maio de 2018, 16:53 »
 
Boa tarde

poste o conteúdo da pasta /usr/local/lib/warsaw

DidBrother

Offline aftavaresjr

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #48 Online: 16 de Maio de 2018, 17:06 »

Boa tarde

poste o conteúdo da pasta /usr/local/lib/warsaw

DidBrother


Boa tarde,

Segue:
lrwxrwxrwx 1 root root      42 mai 16 14:05 ld-linux-x86-64.so.2 -> /lib/x86_64-linux-gnu/ld-linux-x86-64.so.2
lrwxrwxrwx 1 root root      34 mai 16 14:27 libc-2.27.so -> /lib/x86_64-linux-gnu/libc-2.27.so
lrwxrwxrwx 1 root root      31 mai 16 14:05 libc.so.6 -> /lib/x86_64-linux-gnu/libc.so.6
lrwxrwxrwx 1 root root      32 mai 16 14:05 libdl.so.2 -> /lib/x86_64-linux-gnu/libdl.so.2
lrwxrwxrwx 1 root root      37 mai 16 14:05 libpthread.so.0 -> /lib/x86_64-linux-gnu/libpthread.so.0
-rw-r--r-- 1 root root 3338356 mar 14 18:06 wsbrmu.so
-rw-r--r-- 1 root root 1622436 mar 14 18:06 wsftbco.so
-rw-r--r-- 1 root root  897824 mar 14 18:06 wsftbid.so
-rw-r--r-- 1 root root  231980 mar 14 18:06 wsftbmo.so
-rw-r--r-- 1 root root 2834964 mar 14 18:06 wsftdl.so
-rw-r--r-- 1 root root  833316 mar 14 18:06 wsftuan.so
-rw-r--r-- 1 root root 2920880 mar 14 18:06 wsftup.so
-rw-r--r-- 1 root root 1398156 mar 14 18:06 wslbmid.so

Valew

Offline DidBrother

  • Usuário Ubuntu
  • *
  • Mensagens: 50
  • Avante. sempre em frente
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #49 Online: 16 de Maio de 2018, 18:43 »
Boa noite.

Tá tudo misturado. Tem arquivo  sobrando para  a  versão 1.12.8-7  "warsaw-setup-ubuntu_64.deb".  O /usr/local/lib/warsaw deveria conter apenas os arquivos listados abaixo:
-rw-r--r-- 1 root root 3338356 mar 14 18:06 wsbrmu.so
-rw-r--r-- 1 root root 1622436 mar 14 18:06 wsftbco.so
-rw-r--r-- 1 root root  897824 mar 14 18:06 wsftbid.so
-rw-r--r-- 1 root root  231980 mar 14 18:06 wsftbmo.so
-rw-r--r-- 1 root root 2834964 mar 14 18:06 wsftdl.so
-rw-r--r-- 1 root root  833316 mar 14 18:06 wsftuan.so
-rw-r--r-- 1 root root 2920880 mar 14 18:06 wsftup.so
-rw-r--r-- 1 root root 1398156 mar 14 18:06 wslbmid.so


Creio ser difícil reparar esta instalação.  Portanto refaça do zero, seguindo o tutorial  da resposta 25.( transcrevido novamente abaixo).  Depois da execução do item 3, certificar-se  que a pasta /usr/local/lib/warsaw  foi efetivamente excluída.  Foi acrescido  a solicitação para reiniciar o computador após instalação do warsaw (item 6)



1. Baixar o Warsaw fornecido pela Diebold, no endereço - https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw-setup-ubuntu_64.deb  - versão 1.12.8-7 -compatível com CEF, BB e Itaú, com os navegadores Chrome, Firefox.

2. Baixar a biblioteca  python-gpgme  no endereço https://www.ubuntuupdates.org/package/core/artful/main/base/python-gpgme

3. Abrir o terminal e remover qualquer versão anteriormente instalada com o comando.
Código: [Selecionar]
sudo apt-get purge warsaw
4. instalar as dependências.

Código: [Selecionar]
sudo apt install libnss3-tools && sudo apt install python-openssl && sudo apt install libcurl3 && sudo apt install zenity
5. Ainda no terminal acessar a pasta onde foi baixada o arquivo  do warsaw e a bibiloteca python-gpgme. Pressupondo que foi na pasta Downloads

Código: [Selecionar]
cd Downloads e logo após
Código: [Selecionar]
sudo dpkg -i python-gpgme_0.3-1.2build2_amd64.deb em seguida manter os navegadores fechados e
Código: [Selecionar]
sudo dpkg -i warsaw-setup-ubuntu_64.deb   e aguardar o termino da instalação.

6 - Reiniciar o computador

7. Verificações:
A)  a instalação do warsaw  com o comando;
Código: [Selecionar]
ps -ef |grep -v grep |grep -i warsawVocê deve observar no mínimo 1 [...]/warsaw/core rodando como root e pelo menos um [...]/warsaw/core rodando como usuário. tipo:
root      1103     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core
usuario   2165     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core

B - A presença do certificado " Warsaw Personal CA"  nos navegadores. Firefox  em -   about:preferences#privacy   opção ver certificados ; no  Chrome em - chrome://settings/certificates  acessar a aba autoridades.    Se o certificado não estiver presente,  remova e reinstale o warsaw.

8 -  para acesso aos bancos:
A) CEF =. Abrir o navegador e acessar a página -     https://internetbanking.caixa.gov.br/sinbc/nb/login/redirecionaDispSeguranca - vai aparecer a mensagem: adicional de segurança instalado incorretamente. Aguarde enquanto configuramos seu computador. encerrado aparece a mensagem: Adicional de Segurança CAIXA instalado. Acesse a sua conta.
B) ITAU = acesse a página do Itau,  insira o numero de agencia e conta - vai aparecer o nome do correntista e na parte inferior a msg guardiao itau instalado. Está configurado o acesso para o banco itau (aqui só funcionou após reiniciar o computador)
C) BB =  acesse a pagina  https://www2.bancobrasil.com.br/aapf/login.jsp e espere configurar o acesso. Quando estiver disponível os campos: agencia, conta e senha Está configurado o acesso para o banco do brasil

DidBrother
« Última modificação: 16 de Maio de 2018, 18:44 por DidBrother »

Offline Marcopolo

  • Usuário Ubuntu
  • *
  • Mensagens: 682
  • Ubuntu forever, ever!!
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #50 Online: 16 de Maio de 2018, 20:52 »
Boa noite.

Tá tudo misturado. Tem arquivo  sobrando para  a  versão 1.12.8-7  "warsaw-setup-ubuntu_64.deb".  O /usr/local/lib/warsaw deveria conter apenas os arquivos listados abaixo:
-rw-r--r-- 1 root root 3338356 mar 14 18:06 wsbrmu.so
-rw-r--r-- 1 root root 1622436 mar 14 18:06 wsftbco.so
-rw-r--r-- 1 root root  897824 mar 14 18:06 wsftbid.so
-rw-r--r-- 1 root root  231980 mar 14 18:06 wsftbmo.so
-rw-r--r-- 1 root root 2834964 mar 14 18:06 wsftdl.so
-rw-r--r-- 1 root root  833316 mar 14 18:06 wsftuan.so
-rw-r--r-- 1 root root 2920880 mar 14 18:06 wsftup.so
-rw-r--r-- 1 root root 1398156 mar 14 18:06 wslbmid.so


Creio ser difícil reparar esta instalação.  Portanto refaça do zero, seguindo o tutorial  da resposta 25.( transcrevido novamente abaixo).  Depois da execução do item 3, certificar-se  que a pasta /usr/local/lib/warsaw  foi efetivamente excluída.  Foi acrescido  a solicitação para reiniciar o computador após instalação do warsaw (item 6)



1. Baixar o Warsaw fornecido pela Diebold, no endereço - https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw-setup-ubuntu_64.deb  - versão 1.12.8-7 -compatível com CEF, BB e Itaú, com os navegadores Chrome, Firefox.

2. Baixar a biblioteca  python-gpgme  no endereço https://www.ubuntuupdates.org/package/core/artful/main/base/python-gpgme

3. Abrir o terminal e remover qualquer versão anteriormente instalada com o comando.
Código: [Selecionar]
sudo apt-get purge warsaw
4. instalar as dependências.

Código: [Selecionar]
sudo apt install libnss3-tools && sudo apt install python-openssl && sudo apt install libcurl3 && sudo apt install zenity
5. Ainda no terminal acessar a pasta onde foi baixada o arquivo  do warsaw e a bibiloteca python-gpgme. Pressupondo que foi na pasta Downloads

Código: [Selecionar]
cd Downloads e logo após
Código: [Selecionar]
sudo dpkg -i python-gpgme_0.3-1.2build2_amd64.deb em seguida manter os navegadores fechados e
Código: [Selecionar]
sudo dpkg -i warsaw-setup-ubuntu_64.deb   e aguardar o termino da instalação.

6 - Reiniciar o computador

7. Verificações:
A)  a instalação do warsaw  com o comando;
Código: [Selecionar]
ps -ef |grep -v grep |grep -i warsawVocê deve observar no mínimo 1 [...]/warsaw/core rodando como root e pelo menos um [...]/warsaw/core rodando como usuário. tipo:
root      1103     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core
usuario   2165     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core

B - A presença do certificado " Warsaw Personal CA"  nos navegadores. Firefox  em -   about:preferences#privacy   opção ver certificados ; no  Chrome em - chrome://settings/certificates  acessar a aba autoridades.    Se o certificado não estiver presente,  remova e reinstale o warsaw.

8 -  para acesso aos bancos:
A) CEF =. Abrir o navegador e acessar a página -     https://internetbanking.caixa.gov.br/sinbc/nb/login/redirecionaDispSeguranca - vai aparecer a mensagem: adicional de segurança instalado incorretamente. Aguarde enquanto configuramos seu computador. encerrado aparece a mensagem: Adicional de Segurança CAIXA instalado. Acesse a sua conta.
B) ITAU = acesse a página do Itau,  insira o numero de agencia e conta - vai aparecer o nome do correntista e na parte inferior a msg guardiao itau instalado. Está configurado o acesso para o banco itau (aqui só funcionou após reiniciar o computador)
C) BB =  acesse a pagina  https://www2.bancobrasil.com.br/aapf/login.jsp e espere configurar o acesso. Quando estiver disponível os campos: agencia, conta e senha Está configurado o acesso para o banco do brasil

DidBrother
Ok, caro amigo, Did! Amanhã vou tentar sua nova dica, já que no momento estou pelo Desktop, que está acessando plenamente minha conta corrente pelo Banco do Brasil!
Um fraternal abraço!
Marcopolo
Editando:(1)
Uma pergunta: Será que se eu copiar como está na [........warsaw] do Desktop e/ou no outro Note(Dell)e colar no Note Vaio no mesmo caminho, será que dará certo?  ;) ;D
Editando:(2)
Amigo Did, n
implementei sua prestimosa dica e deu Biiiiiiiiiigo! Agora já estou mais satisfeito com o acesso pelo novo note VAIO! Muitíssimo obrigado, Deus lhe abençoe abundantemente e um abraço! ;D
« Última modificação: 18 de Maio de 2018, 21:48 por Marcopolo »
"Quanto mais aumenta nosso conhecimento, mais evidente fica nossa ignorância" (JFK).http://ubuntuforum-br.org

Desktop, Intel Core i7, Win 7 64 bits, Windows10 e Ubuntu16.04.3 LTS, HD 500 GB, 4 GB. Dell14",  Core i3, HD 500 GB, 4 GB, Win10- 64 bits-Ununtu16.04. Vaio 15S 8GB -HD 1Tera-Ubuntu 18.04.

Offline aftavaresjr

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #51 Online: 17 de Maio de 2018, 16:02 »
Caro DidBrother,

Agradeço pelas informações mas o negócio parece ser um pouco mais complicado no meu caso do que uma simples reinstalação.
Por desencargo testei uma reinstalação mas não adiantou.

Continuo com erro no syslog:
kernel: [ 1116.566140] core[4790]: segfault at 7fb0000c7000 ip 00007fb01409977d sp 00007fb0102ddbf8 error 6 in libc-2.27.so[7fb013fde000+1e7000]

E só sobe o processo "core" com usuário normal.

O suporte do BB me disse que a versão do módulo de segurança ainda não é homologada para a versão 18.04 do Ubuntu e me recusou suporte. O negócio é aguardar, infelizmente.

Mas obrigado pela ajuda.

Offline DidBrother

  • Usuário Ubuntu
  • *
  • Mensagens: 50
  • Avante. sempre em frente
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #52 Online: 17 de Maio de 2018, 20:56 »
Boa noite,

Curioso com o fato de verificar que a biblioteca -  libc-2.27.so  - não estar listada nas instalações com o warsaw 1.12.5.1  ou com warsaw 1.12.8-7, fiz uma pequena pesquisa   e observei que a existe um link da biblioteca /lib/x86_64-linux-gnu/libc.so.6 para a biblioteca/lib/x86_64-linux-gnu/libc-2.27.so.   Como a biblioteca - libc.so.6 - faz parte do warsaw 1.12.51,  e talvez, de algum modo, utilizada pelo  1.12.8-7. fica a pergunta:  Não será que o erro está na biblioteca  -libc.so.6.

DidBrother

Offline aftavaresjr

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #53 Online: 18 de Maio de 2018, 11:17 »
Boa noite,

Curioso com o fato de verificar que a biblioteca -  libc-2.27.so  - não estar listada nas instalações com o warsaw 1.12.5.1  ou com warsaw 1.12.8-7, fiz uma pequena pesquisa   e observei que a existe um link da biblioteca /lib/x86_64-linux-gnu/libc.so.6 para a biblioteca/lib/x86_64-linux-gnu/libc-2.27.so.   Como a biblioteca - libc.so.6 - faz parte do warsaw 1.12.51,  e talvez, de algum modo, utilizada pelo  1.12.8-7. fica a pergunta:  Não será que o erro está na biblioteca  -libc.so.6.

DidBrother


Bom dia,

Por curiosidade depois do seu comentário sobre a libc.so.6 reinstalei o warsaw e copiei a pasta de libs do warsaw de uma outra máquina que funciona na versão 16.04. reiniciei e os processos estão rodando agora sem erro de lib no Syslog.

root      3397  1695  0 10:52 ?        00:00:00 /usr/local/bin/warsaw/core
usuario   3422  1695  0 10:52 ?        00:00:00 /usr/local/bin/warsaw/core

Conferi nos browsers Firefox e Chrome, os certificados  Warsaw Personal CA.
Eles estão lá na aba "Autoridades".

Porém....rss
Ao abrir o site do BB, ou o da Diebold, continua dizendo que o warsaw ou módulo de segurança não estão instalados.

:(

Abraço

Offline aftavaresjr

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #54 Online: 18 de Maio de 2018, 11:57 »
Bom dia,

Problema resolvido!
Teoricamente o warsaw não esta homologado para rodar na distro 18.04, portanto, assim como fiz com as bibliotecas onde usei as mesmas da versão antiga, que tinha instalado em outra máquina e consegui subir os processos, fiz o mesmo para os arquivos de configuração do warsaw na pasta /usr/local/etc/warsaw/.

BINGO. Funcionou.

No seu caso até imagino porque funcionou. Você deve ter feito um upgrade da versão 16.04 para a 18.04.
A nova instalação deve ter preservado os arquivos antigos e mantido as configurações e bibliotecas.

No meu caso, fiz uma instalação nova.

Bom, o importante é resolver.

Valew
Abraços


Offline RamonB

  • Usuário Ubuntu
  • *
  • Mensagens: 414
  • Salvador, BA
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #55 Online: 20 de Maio de 2018, 10:02 »
Caros amigos,

Simplificando  ou melhor complicando  a "coisa", digo  warsaw

Está disponível no site da Diebold a versão 1.12.8-7 que apresenta  a vantagem de inserir  o certificado no firefox independentemente da versão e  não  é preciso substituir bibliotecas por links no  ubuntu 18.04.  Nem tudo beira a perfeição.  Entre a lista de dependências está a biblioteca    "python-gpgme" que não está disponível  nos repositórios  oficiais do ubuntu 18.04, embora esteja nos repositórios  das versões 16.04 e 17.10.   O warsaw acima apresentou compatibilidade com o BB,  CEF,  e para o Itaú após reiniciar o computador.  Deixo abaixo o passo  que utilizei na maquina de teste com 18.04.



1. Baixar o Warsaw fornecido pela Diebold, no endereço - https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw-setup-ubuntu_64.deb  - versão 1.12.8-7 -compatível com CEF, BB e Itaú, com os navegadores Chrome, Firefox.

2. Baixar a biblioteca  python-gpgme  no endereço https://www.ubuntuupdates.org/package/core/artful/main/base/python-gpgme

3. Abrir o terminal e remover qualquer versão anteriormente instalada com o comando.
Código: [Selecionar]
sudo apt-get purge warsaw
4. instalar as dependências.

Código: [Selecionar]
sudo apt install libnss3-tools && sudo apt install python-openssl && sudo apt install libcurl3 && sudo apt install zenity
5. Ainda no terminal acessar a pasta onde foi baixada o arquivo  do warsaw e a bibiloteca python-gpgme. Pressupondo que foi na pasta Downloads

Código: [Selecionar]
cd Downloads e logo após
Código: [Selecionar]
sudo dpkg -i python-gpgme_0.3-1.2build2_amd64.deb em seguida manter os navegadores fechados e
Código: [Selecionar]
sudo dpkg -i warsaw-setup-ubuntu_64.deb   e aguardar o termino da instalação.

6. Verificações:
A)  a instalação do warsaw  com o comando;
Código: [Selecionar]
ps -ef |grep -v grep |grep -i warsawVocê deve observar no mínimo 1 [...]/warsaw/core rodando como root e pelo menos um [...]/warsaw/core rodando como usuário. tipo:
root      1103     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core
usuario   2165     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core

B - A presença do certificado " Warsaw Personal CA"  nos navegadores. Firefox  em -   about:preferences#privacy   opção ver certificados ; no  Chrome em - chrome://settings/certificates  acessar a aba autoridades.    Se o certificado não estiver presente,  remova e reinstale o warsaw.

7) para acesso aos bancos:
A) CEF =. Abrir o navegador e acessar a página -     https://internetbanking.caixa.gov.br/sinbc/nb/login/redirecionaDispSeguranca - vai aparecer a mensagem: adicional de segurança instalado incorretamente. Aguarde enquanto configuramos seu computador. encerrado aparece a mensagem: Adicional de Segurança CAIXA instalado. Acesse a sua conta.
B) ITAU = acesse a página do Itau,  insira o numero de agencia e conta - vai aparecer o nome do correntista e na parte inferior a msg guardiao itau instalado. Está configurado o acesso para o banco itau (aqui só funcionou após reiniciar o computador)
C) BB =  acesse a pagina  https://www2.bancobrasil.com.br/aapf/login.jsp e espere configurar o acesso. Quando estiver disponível os campos: agencia, conta e senha Está configurado o acesso para o banco do brasil

DidBrother

Valeu, DidBrother! Depois de muita batalha e várias tentativas, tua solução funcionou no meu Ubuntu 18.04! Muito obrigado mesmo!
Notebook: Dell Inspiron 14 5447, 16 GB RAM, HD 1 Tera. Tri-boot: Ubuntu Desktop 17.10  /  Linux Mint 18.3 Cinnamon  /  Windows 10.
Notebook 2 em 1 HP Pavillion x360, 4 GB RAM, HD 500 GB. Dual-boot: Ubuntu Mate 17.10 / Windows 10.

Offline DidBrother

  • Usuário Ubuntu
  • *
  • Mensagens: 50
  • Avante. sempre em frente
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #56 Online: 29 de Maio de 2018, 19:49 »
Boa noite,

A diebold disponibilizou uma nova versão do warsaw - a 1.12.9-5  que pode ser baixada através do link https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw-setup-ubuntu_64.deb que apresenta total compatibilidade  com o ubuntu 18.04. Não  precisa baixar a biblioteca python-gpgme. Tudo ficou mais simples seja pelo Gdebi ou pelo terminal podendo ser  instalado com dois comandos:

sudo dpkg -i warsaw-setup-ubuntu_64.deb
sudo apt install -f.

Did Brother.
« Última modificação: 29 de Maio de 2018, 19:55 por DidBrother »

Offline fhmota

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #57 Online: 05 de Junho de 2018, 16:07 »
Obrigado. Deu certíssimo:

sudo apt-get purge warsaw

cd Downloads/

sudo dpkg -i warsaw-setup-ubuntu_64.deb

Esse comando retorna mensagem abaixo de erro mas é só ter fé que vai:
"
A seleccionar pacote anteriormente não seleccionado warsaw.
(Lendo banco de dados ... 167458 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar warsaw-setup-ubuntu_64.deb ...
A descompactar warsaw (1.12.9-5) ...
dpkg: problemas com dependências impedem a configuração de warsaw:
 warsaw depende de python-gpgme | python-gpg; porém:
  Pacote python-gpgme não está instalado.
  Pacote python-gpg não está instalado.
 warsaw depende de libnss3-tools; porém:
  Pacote libnss3-tools não está instalado.

dpkg: erro ao processar o pacote warsaw (--install):
 problemas de dependência - deixando desconfigurado
A processar 'triggers' para man-db (2.8.3-2) ...
A processar 'triggers' para ureadahead (0.100.0-20) ...
ureadahead will be reprofiled on next reboot
A processar 'triggers' para systemd (237-3ubuntu10) ...
Erros foram encontrados durante o processamento de:
 warsaw
"

sudo apt-get -f install

Esse comando configura o warsaw como se vê nas seguintes linhas entre outras que aparecem:
"
Configurando warsaw (1.12.9-5) ...
Synchronizing state of warsaw.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install enable warsaw
 "

Valeu DidBrother.

Offline jrkamil

  • Usuário Ubuntu
  • *
  • Mensagens: 412
  • Cabo Frio - RJ - Brasil
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #58 Online: 06 de Junho de 2018, 10:27 »
até que enfim funcionou. obrigado...
ECS A890GXM-A , Athlon II X3 440, 8 Gb DDR3, nvidia GF 8400GS,  ubuntu  18.04  gnome, ssd 120G, hd 500 g

Offline D-rj

  • Usuário Ubuntu
  • *
  • Mensagens: 62
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #59 Online: 08 de Junho de 2018, 14:45 »
Boa noite,

A diebold disponibilizou uma nova versão do warsaw - a 1.12.9-5  que pode ser baixada através do link https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw-setup-ubuntu_64.deb que apresenta total compatibilidade  com o ubuntu 18.04. Não  precisa baixar a biblioteca python-gpgme. Tudo ficou mais simples seja pelo Gdebi ou pelo terminal podendo ser  instalado com dois comandos:

sudo dpkg -i warsaw-setup-ubuntu_64.deb
sudo apt install -f.

Did Brother.

Funcionou Perfeitamente!!!